Page MenuHomePhabricator

Handle floating point and aggregate return types in SysV-mips64 ABI
ClosedPublic

Authored by bhushan on Jul 30 2015, 4:37 AM.

Details

Reviewers
clayborg
jingham
Summary

This patch adds support of floating point and aggregate return types in GetReturnValueObjectImpl() for mips64.

Diff Detail

Repository
rL LLVM

Event Timeline

bhushan updated this revision to Diff 31015.Jul 30 2015, 4:37 AM
bhushan retitled this revision from to Handle floating point and aggregate return types in SysV-mips64 ABI.
bhushan updated this object.
bhushan added a reviewer: clayborg.
bhushan set the repository for this revision to rL LLVM.
bhushan added subscribers: lldb-commits, jaydeep, slthakur and 2 others.
clayborg requested changes to this revision.Jul 30 2015, 10:29 AM
clayborg edited edge metadata.

Looks good after indentation fixes.

source/Plugins/ABI/SysV-mips64/ABISysV_mips64.cpp
709–713

indent correctly.

722–725

indent correctly.

735–737

indent correctly

748–750

indent correctly and use ConstString("")?

This revision now requires changes to proceed.Jul 30 2015, 10:29 AM
bhushan added inline comments.Jul 30 2015, 9:45 PM
source/Plugins/ABI/SysV-mips64/ABISysV_mips64.cpp
748–750

ValueObjectMemory::Create() requires const char *

static lldb::ValueObjectSP
Create (ExecutionContextScope *exe_scope, 
        const char *name,
        const Address &address, 
        const ClangASTType &ast_type);
bhushan updated this revision to Diff 31106.Jul 30 2015, 9:48 PM
bhushan edited edge metadata.

Addressed review comments (fixed indentation issues)

jingham edited edge metadata.Aug 3 2015, 11:43 AM

Looks fine. The change at line 466 looks like it might have tabs rather than spaces in it, please check that. Otherwise, it's okay.

source/Plugins/ABI/SysV-mips64/ABISysV_mips64.cpp
629–633

Looks fine in this diff. The mailed diff still looks a little funny. Can't tell if it is my mailer or if you are using tabs & expecting them to be 8 characters? If the former, this is fine, but make sure you always use spaces for indentation, not tabs.

bhushan added inline comments.Aug 4 2015, 12:40 AM
source/Plugins/ABI/SysV-mips64/ABISysV_mips64.cpp
629–633

I have verified this, the latest diff does not contain any tabs.

clayborg accepted this revision.Aug 10 2015, 9:48 AM
clayborg edited edge metadata.

Looks good.

This revision is now accepted and ready to land.Aug 10 2015, 9:48 AM
bhushan closed this revision.Aug 13 2015, 9:46 PM

Committed in revision 245026